
Redmine - Defect #2414

'Add News Button' in 'Add news'

2008-12-29 18:40 - Karl Heinz Marbaise

Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: News Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I have observed a little 'Bug', cause if i going to News and click on 'Add news' I'm forwarded to the 'Add news' area but the 'Add

news' Button is displayed anymore.

My opinion is not to display the 'Add news' Button there. Take a look at the attached screen shot.

May be this is a feauture? or already fixed on a newer revision ?

Revision 2081 on trunk

my environment:

minden205:/usr/local/vhosts/redmine # ruby script/about

About your application's environment

Ruby version              1.8.6 (x86_64-linux)

RubyGems version          1.3.0

Rails version             2.1.1

Active Record version     2.1.1

Action Pack version       2.1.1

Active Resource version   2.1.1

Action Mailer version     2.1.1

Active Support version    2.1.1

Application root          /usr/local/vhosts/redmine

Environment               development

Database adapter          mysql

Database schema version   101

Related issues:

Related to Redmine - Defect #12824: Useless "edit" link in workflow menu Closed

History

#1 - 2008-12-29 18:42 - Karl Heinz Marbaise

- Start date deleted (2008-12-29)

#2 - 2008-12-29 18:51 - Karl Heinz Marbaise

Hi,

rechecked revision:

$/usr/local/vhosts/redmine # svn info

Path: .

URL: http://redmine.rubyforge.org/svn/branches/0.8-stable

Repository Root: http://redmine.rubyforge.org/svn

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 2201

Node Kind: directory

Schedule: normal

Last Changed Author: jplang

Last Changed Rev: 2200

Last Changed Date: 2008-12-29 16:50:08 +0100 (Mon, 29 Dec 2008)
The same behaviour.

#3 - 2011-03-18 09:49 - Etienne Massip

- Target version set to Candidate for next minor release

#4 - 2011-06-22 20:52 - Eugene Sypachev

- Status changed from New to Resolved

This will fix the problem:

Index: index.rhtml

===================================================================

--- index.rhtml    (revision 6120)

+++ index.rhtml    (working copy)

@@ -2,7 +2,7 @@

 <%= link_to(l(:label_news_new),

             new_project_news_path(@project),

             :class => 'icon icon-add',

-            :onclick => 'Element.show("add-news"); Form.Element.focus("news_title"); return false;') if 

@project && User.current.allowed_to?(:manage_news, @project) %>

+            :onclick => 'Element.show("add-news"); Element.hide("contextual"); Form.Element.focus("news_title

"); return false;') if @project && User.current.allowed_to?(:manage_news, @project) %>

 </div>

 <div id="add-news" style="display:none;">

@@ -17,7 +17,7 @@

                      :update => 'preview',

                      :with => "Form.serialize('news-form')" 

                    }, :accesskey => accesskey(:preview) %> |

-<%= link_to l(:button_cancel), "#", :onclick => 'Element.hide("add-news")' %>

+<%= link_to l(:button_cancel), "#", :onclick => 'Element.hide("add-news"); Element.show("contextual");' %>

 <% end if @project %>

 <div id="preview" class="wiki"></div>

 </div>

 Sorry, don't found the way to commit changes to SVN repo.

#5 - 2011-06-23 09:14 - Etienne Massip

- Status changed from Resolved to New

#6 - 2013-01-05 13:59 - Daniel Felix

Well, this seems to be fixed in the current version of redmine (trunk and version 2.2).

I think this could be closed, or does anyone else encounter this problem?

#7 - 2013-01-13 11:57 - Daniel Felix

- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)

I'm closing it, see my prior comment.

#8 - 2013-01-14 00:41 - Mischa The Evil

- Status changed from Closed to Reopened

This is still an issue IMO. It's about the fact that the "Add news" button is displayed while adding a new news item (thus being on the new news view).

This also applies to two other new views: 'New message' and 'New document'.

This can be "reproduced" on *.m.redmine.org (and rm.o) as such. I think we can argue about whether it's a defect or not. The 'Add x'-functionality is

not broken in any way, it's just the lone fact that the button is displayed on those views. I think this is more a design-consequence rather than a defect

- not completely sure here, so correct me if I'm wrong.

More general: I think this is more of a FR to request improvements regarding the consistency of the UI, more specific the mentioned 'New x views'.

What do you think?

#9 - 2013-01-14 06:13 - Daniel Felix

Oh, yes you're right. The button was just hidden behind an elemente as I tested it on my testsystem.
This relates to #12824.

#10 - 2021-05-07 11:05 - Alexander Meindl

- File fix_add_news_button.patch added

Hi,

I created a new patch to fix the problem. With my solution a user with manage news permissions (in any project) can see the "add news" button on

global news index.

Without this patch, everyone can see "add news" button on global news index - even without permissions.

#11 - 2021-05-25 11:39 - Go MAEDA

- Target version set to Candidate for next minor release

Alexander Meindl wrote:

I created a new patch to fix the problem. With my solution a user with manage news permissions (in any project) can see the "add news" button

on global news index.

Without this patch, everyone can see "add news" button on global news index - even without permissions.

 Thank you for detecting and reporting the issue.

The bug you is a new one in Redmine 4.2.0 (#33167) and is different from this one. I have opened #35308 for the bug and attached the patch.

#12 - 2021-05-25 11:39 - Go MAEDA

- Target version deleted (Candidate for next minor release)

Files

redmine-news-add.jpg 32.8 KB 2008-12-29 Karl Heinz Marbaise

fix_add_news_button.patch 790 Bytes 2021-05-07 Alexander Meindl
